Bug 1201801 - cinnamon and cinnamon-xxx packages need source update for epel ppc64le
Summary: cinnamon and cinnamon-xxx packages need source update for epel ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cinnamon
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-03-13 14:21 UTC by Menanteau Guy
Modified: 2015-04-26 19:37 UTC (History)
6 users (show)

Fixed In Version: cinnamon-settings-daemon-2.0.8-9.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-10 14:20:33 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-03-13 14:21:05 UTC
Seems cinnamon packages versions on epel 7 are not coherent version.

building epel 7 ppc64le (little endian) leads cinnamon-control-center-2.0.9-6.el7.src.rpm and cinnamon-session-2.0.6-2.el7.src.rpm failure with following errors:
Error: Package: cinnamon-settings-daemon-2.0.8-8.el7.ppc64le (built)
          Requires: cinnamon-control-center-filesystem
Error: Package: cinnamon-2.0.14-19.el7.ppc64le (built)
          Requires: cinnamon-control-center
Error: Package: cinnamon-2.0.14-19.el7.ppc64le (built)
          Requires: cinnamon-session

Also, I guess anyway that sources updates are needed to support correctly epel 7 ppc64le (little endian).

Comment 1 leigh scott 2015-04-10 14:20:33 UTC
Sorry I'm not interested in supporting secondary arch's

Comment 2 Rex Dieter 2015-04-10 14:43:58 UTC
Reporter, can you detail what the problems were trying to build cinnamon-control-center and/or cinnamon-session ?

Ideally, any links to failed koji builds ?

Comment 3 Dan Horák 2015-04-10 16:07:30 UTC
IIRC there is a circular dependency between c-c-c and c-s-d that needs to be cut off.

Also ppc64le is a primary arch starting with RHEL 7.1 and the secondary arches team will help with any arch specific issues.

No koji links yet, this is from local mock rebuilds against RHEL 7.1.

Comment 4 Menanteau Guy 2015-04-10 16:13:23 UTC
I do agree on circular dependencies, I looked at it too quickly. 
But anyway, this bug was also to alarm about epel7 packages old versions (f19), compared to those built currently (at least on fedora).

Comment 5 leigh scott 2015-04-10 16:30:59 UTC
(In reply to Menanteau Guy from comment #4)
 
> this bug was also to alarm about epel7 packages old versions
> (f19), compared to those built currently (at least on fedora).

Does epel7 have >= gtk-3.10?, if not epel7 is stuck with cinnamon-2.0.x

Comment 6 leigh scott 2015-04-10 17:13:57 UTC
(In reply to Dan Horák from comment #3)
> IIRC there is a circular dependency between c-c-c and c-s-d that needs to be
> cut off.
> 
> Also ppc64le is a primary arch starting with RHEL 7.1 and the secondary
> arches team will help with any arch specific issues.
> 
> No koji links yet, this is from local mock rebuilds against RHEL 7.1.


Want to try building https://koji.fedoraproject.org/koji/buildinfo?buildID=627451

Comment 7 Fedora Update System 2015-04-11 01:19:40 UTC
cinnamon-settings-daemon-2.0.8-9.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cinnamon-settings-daemon-2.0.8-9.el7

Comment 8 Fedora Update System 2015-04-26 19:37:44 UTC
cinnamon-settings-daemon-2.0.8-9.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.